import { Stream } from 'xstream';
import { ComponentDidAppearEvent, ComponentDidDisappearEvent } from 'react-native-navigation';
export declare class NavSource {
    _topBar: Stream<string>;
    _back: Stream<null>;
    _didAppear: Stream<null>;
    _didDisappear: Stream<null>;
    _globalDidAppear: Stream<ComponentDidAppearEvent>;
    _globalDidDisappear: Stream<ComponentDidDisappearEvent>;
    constructor();
    topBarButtonPress(buttonId?: string): Stream<string>;
    backPress(): Stream<null>;
    didAppear(): Stream<null>;
    didDisappear(): Stream<null>;
    globalDidAppear(componentName?: string): Stream<ComponentDidAppearEvent>;
    globalDidDisappear(componentName?: string): Stream<ComponentDidDisappearEvent>;
}
