import { Stream } from 'xstream';
import { ComponentClass, ReactElement } from 'react';
import { Engine, MatchingMain, Drivers } from '@cycle/run';
import { ReactSource } from '@cycle/react';
export declare type Props = {
    componentId: string;
};
export declare type State = {
    source: ReactSource | null;
    sink: Stream<ReactElement<any>> | null;
};
export default function makeComponent<D extends Drivers, M extends MatchingMain<D, M>>(main: MatchingMain<D, M>, // (so: So & MoreSources) => Si & MoreSinks,
engine: Engine<D>, screenId: string): () => ComponentClass<Props>;
